SaveOrUpdateEventListener (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.events
[Java] Class SaveOrUpdateEventListener

    java.lang.Object
      org.hibernate.event.def.AbstractReassociateEventListener
          org.hibernate.event.def.AbstractSaveEventListener
              org.hibernate.event.def.DefaultSaveOrUpdateEventListener
                  org.codehaus.groovy.grails.orm.hibernate.events.SaveOrUpdateEventListener

    public class SaveOrUpdateEventListener
    extends org.hibernate.event.def.DefaultSaveOrUpdateEventListener

Intermediary class, because def in package name is blocking IntelliJ from compiling. Seems to be an intellij bug not a Groovy one

Authors:
  Graeme Rocher

Since:
  1.1

Method Summary

Methods inherited from class org.hibernate.event.def.DefaultSaveOrUpdateEventListener
org.hibernate.event.def.DefaultSaveOrUpdateEventListener#onSaveOrUpdate(org.hibernate.event.SaveOrUpdateEvent), org.hibernate.event.def.DefaultSaveOrUpdateEventListener#wait(), org.hibernate.event.def.DefaultSaveOrUpdateEventListener#wait(long, int), org.hibernate.event.def.DefaultSaveOrUpdateEventListener#wait(long), org.hibernate.event.def.DefaultSaveOrUpdateEventListener#equals(java.lang.Object), org.hibernate.event.def.DefaultSaveOrUpdateEventListener#toString(), org.hibernate.event.def.DefaultSaveOrUpdateEventListener#hashCode(), org.hibernate.event.def.DefaultSaveOrUpdateEventListener#getClass(), org.hibernate.event.def.DefaultSaveOrUpdateEventListener#notify(), org.hibernate.event.def.DefaultSaveOrUpdateEventListener#notifyAll()

Methods inherited from class org.hibernate.event.def.AbstractSaveEventListener
org.hibernate.event.def.AbstractSaveEventListener#wait(), org.hibernate.event.def.AbstractSaveEventListener#wait(long, int), org.hibernate.event.def.AbstractSaveEventListener#wait(long), org.hibernate.event.def.AbstractSaveEventListener#equals(java.lang.Object), org.hibernate.event.def.AbstractSaveEventListener#toString(), org.hibernate.event.def.AbstractSaveEventListener#hashCode(), org.hibernate.event.def.AbstractSaveEventListener#getClass(), org.hibernate.event.def.AbstractSaveEventListener#notify(), org.hibernate.event.def.AbstractSaveEventListener#notifyAll()

Groovy Documentation